Class | Termtter::RubytterProxy
In: | lib/plugins/basic.rb lib/plugins/list_switch.rb lib/plugins/mongo.rb lib/plugins/whale.rb lib/termtter/rubytter_proxy.rb
Parent: | Object

### Methods

access_token cached_status cached_status cached_user call_rubytter call_rubytter call_rubytter_or_use_cache call_rubytter_with_list_switch consumer_token current_limit error_html_message_whale method_missing new new safe store_status_cache store_user_cache

### Included Modules

Hookable

### Classes and Modules

Class Termtter::RubytterProxy::FrequentAccessError
Class Termtter::RubytterProxy::LimitManager

### External Aliases

call_rubytter | -> | call_rubytter_without_list_switch
error_html_message | -> | error_html_message_orig

### Attributes

rubytter | [R] |
safe_mode | [RW] |

### Public Class methods

new(access_token, twitter_option)
new(*args)

### Public Instance methods

access_token()

XXX: these methods should in oauth_rubytter

cached_status(status_id)
cached_status(status_id)
cached_user(screen_name_or_id)
call_rubytter(method, *args, &block)

Alias for call_rubytter_with_list_switch

call_rubytter(method, *args, &block)
call_rubytter_or_use_cache(method, *args, &block)
call_rubytter_with_list_switch(method, *args, &block)
consumer_token()
current_limit()
error_html_message_whale(e)
method_missing(method, *args, &block)
safe()
store_status_cache(status)
store_user_cache(user)

[Validate]